import {createApp} from 'vue'
import App from './App.vue'
import Antd from 'ant-design-vue'
import './index.css'
import 'ant-design-vue/dist/antd.css';
import 'highlight.js/styles/idea.css';
import highlight from 'highlight.js/lib/core'
import java from 'highlight.js/lib/languages/java';
import xml from 'highlight.js/lib/languages/xml';
import yaml from 'highlight.js/lib/languages/yaml';
import highlightVuePlugin from '@highlightjs/vue-plugin'

highlight.registerLanguage('xml', xml)
highlight.registerLanguage('yaml', yaml)
highlight.registerLanguage('java', java)

const app = createApp(App)
app.use(highlightVuePlugin)
app.use(Antd)
app.mount('#app')